﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Reflection;

namespace ORM05
{
    class MemberMapping
    {
        /// <summary>
        /// 列名
        /// </summary>
        public string ColumnName { get; internal set; }

        /// <summary>
        /// 属性名
        /// </summary>
        public PropertyInfo Member { get; set; }

        /// <summary>
        /// 是否为主键
        /// </summary>
        public bool IsPrimaryKey { get; set; }

        /// <summary>
        /// 是否为数据库自动生成
        /// </summary>
        public bool IsDbGenerated { get; set; }
    }
}