﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ORM05
{
    class EntityMapping
    {
        /// <summary>
        /// 对应实体类类型
        /// </summary>
        public Type EntityType { get; internal set; }

        /// <summary>
        /// 表名
        /// </summary>
        public string TableName { get; set; }

        /// <summary>
        /// 实体属性
        /// </summary>
        public List<MemberMapping> Members;

        /// <summary>
        /// 主键
        /// </summary>
        public List<MemberMapping> PrimaryKey { get; set; }
       
    }
}
